Chinaunix首页 | 论坛 | 博客
  • 博客访问: 2405240
  • 博文数量: 862
  • 博客积分: 14125
  • 博客等级: 上将
  • 技术积分: 10598
  • 用 户 组: 普通用户
  • 注册时间: 2007-07-27 16:53
个人简介

https://github.com/zytc2009/BigTeam_learning

文章分类

全部博文(862)

文章存档

2019年(3)

2018年(1)

2017年(10)

2015年(3)

2014年(8)

2013年(3)

2012年(69)

2011年(103)

2010年(357)

2009年(283)

2008年(22)

分类: C/C++

2009-08-03 09:22:25

qmake里是不提供
#if (QT_VERSION >= QT_VERSION_CHECK(4, 5, 0))
// ...
#endif
这种语法的

qmake的语法是
条件{
...执行的动作1...
}else{
...执行的动作2...
}

所以如果要执行根据版本控制的代码可以用

greaterThan(QT_MAJOR_VERSION, 4)|equals(QT_MAJOR_VERSION,4){
greaterThan(QT_MINOR_VERSION, 5)|equals(QT_MINOR_VERSION, 5){

message("bla,bla,bla ....")
}
}else{
message("pla,pla,pla ....")
}

不过需要注意的是,greaterThan和equals是在qmake代码里没有公布的,详细需要看qmake的源代码

qt/qmake/project.cpp
116 if(!qmake_test_functions) {
117 qmake_test_functions = new QMap;
118 qmake_test_functions->insert("requires", T_REQUIRES);
119 qmake_test_functions->insert("greaterThan", T_GREATERTHAN);
120 qmake_test_functions->insert("lessThan", T_LESSTHAN);
121 qmake_test_functions->insert("equals", T_EQUALS);
122 qmake_test_functions->insert("isEqual", T_EQUALS);

 http://qtsoftware.blogspot.com/2009/03/pro-qt_06.html

阅读(1231) | 评论(0) | 转发(0) |
给主人留下些什么吧!~~